SDL::MPEG - a SDL perl extension $info = new SDL::MPEG -from => $mpeg; "SDL::MPEG" provides an interface to quering the status of a SMPEG stream.

METHODS
"SDL::MPEG::has_audio" returns true if it has audio track "SDL::MPEG::has_video" returns true if it has a video track "SDL::MPEG::width" returns the width of the video in pixels "SDL::MPEG::height" returns the height of the video in pixels "SDL::MPEG::size" returns the total size of the clip in bytes "SDL::MPEG::offset" returns the offset into the clip in bytes "SDL::MPEG::frame" returns the offset into the clip in fames "SDL::MPEG::fps" returns the play rate in frames per second "SDL::MPEG::time" returns the current play time in seconds "SDL::MPEG::length" returns the total play time in seconds David J. Goehrig perl(1) SDL::Video(3)